Skip to main content
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
conversations
Retrieve conversations with flexible filtering options
curl --request GET \
  --url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "conversations": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "participants": {
        "externals": [
          {
            "identifier": "<string>",
            "joinedAt": "2023-11-07T05:31:56Z",
            "lastSeenAt": null
          }
        ],
        "internals": [
          {
            "identifier": "<string>",
            "joinedAt": "2023-11-07T05:31:56Z",
            "lastSeenAt": null
          }
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "name": "Bridge Support Team",
      "status": "ACTIVE"
    }
  ],
  "cursor": null
}

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

Query Parameters

limit
integer
default:20

Number of conversations per page

Required range: 1 <= x <= 100
cursor
string | null

Cursor provided on before request to get next page

status
enum<string>

Conversation status

Available options:
ACTIVE,
GHOST,
RELEASED,
NOT_ASSIGNED_TO_HUMAN,
BLOCKED
internalUserIdentifier
string | null

Identifier of internal user, if you are sending a phone number take care to encode the request url (including params)

internalUserIdentifierType
enum<string>
Available options:
ID,
EMAIL
externalUserIdentifier
string | null
externalUserIdentifierType
enum<string>
Available options:
ID,
EMAIL,
PHONE

Response

Successful Response

Response body for listing conversations with pagination.

conversations
ConversationResponse · object[]
required

List of conversations.

cursor
string | null

Cursor for fetching the next page of conversations. Null if there are no more pages.

Example:

null